package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.*;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

/**
 * 乐团报名缴费相关信息
 */
public class MusicGroupSubjectGoodsAndInfoDto {

    //课程信息
    private Map CourseScheduleInfo;

    //乐团声部商品信息
    private List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroupList;

    //乐团计划及收费信息
    private MusicGroupSubjectPlan musicGroupSubjectPlan;

    //学生定制商品
    private List<Goods> studentGoods;

    //其他商品（教材、琴谱）
    private List<Goods> otherGoods;

    @ApiModelProperty(value = "乐团报名缴费日历",required = false)
    private MusicGroupPaymentCalender musicGroupPaymentCalender;


    public Map getCourseScheduleInfo() {
        return CourseScheduleInfo;
    }

    public void setCourseScheduleInfo(Map courseScheduleInfo) {
        CourseScheduleInfo = courseScheduleInfo;
    }

    public List<MusicGroupSubjectGoodsGroup> getMusicGroupSubjectGoodsGroupList() {
        return musicGroupSubjectGoodsGroupList;
    }

    public void setMusicGroupSubjectGoodsGroupList(List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroupList) {
        this.musicGroupSubjectGoodsGroupList = musicGroupSubjectGoodsGroupList;
    }

    public MusicGroupSubjectPlan getMusicGroupSubjectPlan() {
        return musicGroupSubjectPlan;
    }

    public void setMusicGroupSubjectPlan(MusicGroupSubjectPlan musicGroupSubjectPlan) {
        this.musicGroupSubjectPlan = musicGroupSubjectPlan;
    }

    public List<Goods> getOtherGoods() {
        return otherGoods;
    }

    public void setOtherGoods(List<Goods> otherGoods) {
        this.otherGoods = otherGoods;
    }

    public List<Goods> getStudentGoods() {
        return studentGoods;
    }

    public void setStudentGoods(List<Goods> studentGoods) {
        this.studentGoods = studentGoods;
    }

    public MusicGroupPaymentCalender getMusicGroupPaymentCalender() {
        return musicGroupPaymentCalender;
    }

    public void setMusicGroupPaymentCalender(MusicGroupPaymentCalender musicGroupPaymentCalender) {
        this.musicGroupPaymentCalender = musicGroupPaymentCalender;
    }
}
